Update Courier Status Run in API Explorer
Ask AI
POST
/{channelName}/courierUpdate/{channelLinkId}
curl \
--request POST 'https://api.staging.deliverect.com/{channelName}/courierUpdate/{channelLinkId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '[{"courierUpdate":{"status":85,"courier":{"lastName":"Driver","firstName":"Joe","coordinates":{"coordinates":[-0.0785,51.52081]},"phoneNumber":"+44 20 3936 1162"},"arrivalTime":"2022-10-25T16:24:40.482000Z","deliveryTime":"2022-10-25T16:24:40.482000Z"},"channelOrderId":"63171d******d34b5efe"}]'
Request example
[
{
"courierUpdate": {
"status": 85,
"courier": {
"lastName": "Driver",
"firstName": "Joe",
"coordinates": {
"coordinates": [
-0.0785,
51.52081
]
},
"phoneNumber": "+44 20 3936 1162"
},
"arrivalTime": "2022-10-25T16:24:40.482000Z",
"deliveryTime": "2022-10-25T16:24:40.482000Z"
},
"channelOrderId": "63171d******d34b5efe"
}
]